package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxActivityVideoHistory struct {
	Id          int       `orm:"column(id);pk"description:"音频id"`
	VideoId     int       `description:"微路演音频id"`
	ActivityId  int       `description:"活动id"`
	UserId      int       `description:"用户id"`
	Mobile      string    `description:"手机号"`
	Email       string    `description:"邮箱"`
	CompanyId   int       `description:"公司Id"`
	CompanyName string    `description:"公司名称"`
	RealName    string    `description:"用户实际名称"`
	SellerName  string    `description:"所属销售"`
	PlaySeconds string    `description:"播放时间 单位s"`
	CreateTime  time.Time `description:"视频创建时间"`
	ModifyTime  time.Time `description:"视频修改时间"`
}

//添加
func AddCygxActivityVideoHistory(item *CygxActivityVideoHistory) (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(item)
	return
}
